import request from '@/utils/httpRequest'

export default class reimbursementSys {
  findList (params) {
    return request({
      url: '/wuHanReimbursementBusiness/findList',
      method: 'get',
      params: params
    })
  }

  findListByBusinessCodeId (id) {
    return request({
      url: '/wuHanReimbursementBusiness/findListByBusinessCodeId',
      method: 'get',
      params: {id: id}
    })
  }

  save (inputForm) {
    return request({
      url: `/wuHanReimbursementBusiness/save`,
      method: 'post',
      data: inputForm
    })
  }

  delete (ids) {
    return request({
      url: '/wuHanReimbursementBusiness/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }

  queryById (id) {
    return request({
      url: `/wuHanReimbursementBusiness/queryById`,
      method: 'get',
      params: {id: id}
    })
  }

  getBusinessById (id) {
    return request({
      url: `/wuHanReimbursementBusiness/getBusinessById`,
      method: 'get',
      params: {id: id}
    })
  }
  yearList (params) {
    return request({
      url: '/wuHanReimbursementBusiness/getYearList',
      method: 'get',
      params: params
    })
  }
}
